---
triple:          'arm64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_aarch64_mac_Nightly/build/macosx-aarch64-server-release/support/test/hotspot/jtreg/native/lib/libgetjniftab002.dylib'
relocations:
  - { offsetInCU: 0x6C3, offset: 0x6C3, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x4B6A0, symBinAddr: 0x81C0, symSize: 0x0 }
  - { offsetInCU: 0x6EA, offset: 0x6EA, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x4D5E0, symBinAddr: 0xA100, symSize: 0x0 }
  - { offsetInCU: 0x70C, offset: 0x70C, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x4D9C8, symBinAddr: 0xA4E8, symSize: 0x0 }
  - { offsetInCU: 0x72E, offset: 0x72E, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x4E968, symBinAddr: 0xB488, symSize: 0x0 }
  - { offsetInCU: 0x743, offset: 0x743, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x4E970, symBinAddr: 0xB490, symSize: 0x0 }
  - { offsetInCU: 0x7BE, offset: 0x7BE, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x4B318, symBinAddr: 0x8080, symSize: 0x0 }
  - { offsetInCU: 0x7C9, offset: 0x7C9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x4B31C, symBinAddr: 0x8084, symSize: 0x0 }
  - { offsetInCU: 0x7D4, offset: 0x7D4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x4B320, symBinAddr: 0x8088, symSize: 0x0 }
  - { offsetInCU: 0x819, offset: 0x819, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x4B470, symBinAddr: 0x8090, symSize: 0x0 }
  - { offsetInCU: 0x892, offset: 0x892, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x4B528, symBinAddr: 0x8148, symSize: 0x0 }
  - { offsetInCU: 0x8B0, offset: 0x8B0, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x4B52C, symBinAddr: 0x814C, symSize: 0x0 }
  - { offsetInCU: 0x8C9, offset: 0x8C9, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x4B530, symBinAddr: 0x8150, symSize: 0x0 }
  - { offsetInCU: 0x8E2, offset: 0x8E2, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x4B534, symBinAddr: 0x8154, symSize: 0x0 }
  - { offsetInCU: 0x8FB, offset: 0x8FB, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x4B538, symBinAddr: 0x8158, symSize: 0x0 }
  - { offsetInCU: 0x8EC1, offset: 0x8EC1, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x4B540, symBinAddr: 0x8160, symSize: 0x0 }
  - { offsetInCU: 0x8F4A, offset: 0x8F4A, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x4B558, symBinAddr: 0x8170, symSize: 0x0 }
  - { offsetInCU: 0x8F63, offset: 0x8F63, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x4B560, symBinAddr: 0x8178, symSize: 0x0 }
  - { offsetInCU: 0x8F7C, offset: 0x8F7C, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x4B568, symBinAddr: 0x8180, symSize: 0x0 }
  - { offsetInCU: 0x8F95, offset: 0x8F95, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x4B570, symBinAddr: 0x8188, symSize: 0x0 }
  - { offsetInCU: 0x8FAF, offset: 0x8FAF, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x4B578, symBinAddr: 0x8190, symSize: 0x0 }
  - { offsetInCU: 0x9095, offset: 0x9095, size: 0x8, addend: 0x0, symName: __ZL7verbose, symObjAddr: 0x4B5BC, symBinAddr: 0x819C, symSize: 0x0 }
  - { offsetInCU: 0x90B5, offset: 0x90B5, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x4B5C0, symBinAddr: 0x81A0, symSize: 0x0 }
  - { offsetInCU: 0x90CE, offset: 0x90CE, size: 0x8, addend: 0x0, symName: __ZL18orig_jni_functions, symObjAddr: 0x4B5C8, symBinAddr: 0x81A8, symSize: 0x0 }
  - { offsetInCU: 0x90E7, offset: 0x90E7, size: 0x8, addend: 0x0, symName: __ZL6result, symObjAddr: 0x4B5D0, symBinAddr: 0x81B0, symSize: 0x0 }
  - { offsetInCU: 0x9107, offset: 0x9107, size: 0x8, addend: 0x0, symName: __ZL2vm, symObjAddr: 0x4B5D8, symBinAddr: 0x81B8, symSize: 0x0 }
  - { offsetInCU: 0x9159, offset: 0x9159, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x358, symBinAddr: 0xAA8, symSize: 0xA0 }
  - { offsetInCU: 0x91EE, offset: 0x91EE, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x330, symBinAddr: 0xA80, symSize: 0x28 }
  - { offsetInCU: 0x9251, offset: 0x9251, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x29C, symBinAddr: 0xA00, symSize: 0x80 }
  - { offsetInCU: 0x94E5, offset: 0x94E5, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x42C, symBinAddr: 0xB48, symSize: 0x20C }
  - { offsetInCU: 0x969E, offset: 0x969E, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x638, symBinAddr: 0xD54, symSize: 0x28 }
  - { offsetInCU: 0x9767, offset: 0x9767, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x674, symBinAddr: 0xD7C, symSize: 0xB0 }
  - { offsetInCU: 0x985E, offset: 0x985E, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0x7DC, symBinAddr: 0xE2C, symSize: 0xD8 }
  - { offsetInCU: 0x9983, offset: 0x9983, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x11F8, symBinAddr: 0xF04, symSize: 0x24 }
  - { offsetInCU: 0x9A0E, offset: 0x9A0E, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x16E4, symBinAddr: 0xF28, symSize: 0x168 }
  - { offsetInCU: 0x9BEA, offset: 0x9BEA, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x184C, symBinAddr: 0x1090, symSize: 0x104 }
  - { offsetInCU: 0x9D67, offset: 0x9D67, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x22EC, symBinAddr: 0x1194, symSize: 0x154 }
  - { offsetInCU: 0x9F4B, offset: 0x9F4B, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2440, symBinAddr: 0x12E8, symSize: 0xAC }
  - { offsetInCU: 0xA020, offset: 0xA020, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x278C, symBinAddr: 0x1394, symSize: 0x14 }
  - { offsetInCU: 0xA059, offset: 0xA059, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x27A0, symBinAddr: 0x13A8, symSize: 0x14 }
  - { offsetInCU: 0xA092, offset: 0xA092, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x27B4, symBinAddr: 0x13BC, symSize: 0x14 }
  - { offsetInCU: 0xA20F, offset: 0xA20F, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x2F18, symBinAddr: 0x13D0, symSize: 0x1A8 }
  - { offsetInCU: 0xA523, offset: 0xA523, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3694, symBinAddr: 0x1578, symSize: 0x9C }
  - { offsetInCU: 0xA5E0, offset: 0xA5E0, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3730, symBinAddr: 0x1614, symSize: 0x690 }
  - { offsetInCU: 0xB172, offset: 0xB172, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0x9148, symBinAddr: 0x2758, symSize: 0x30 }
  - { offsetInCU: 0xB1FE, offset: 0xB1FE, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x3DC0, symBinAddr: 0x1CA4, symSize: 0x74 }
  - { offsetInCU: 0xB28E, offset: 0xB28E, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x4AF0, symBinAddr: 0x1D18, symSize: 0xB0 }
  - { offsetInCU: 0xB36D, offset: 0xB36D, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x576C, symBinAddr: 0x1DC8, symSize: 0x3C }
  - { offsetInCU: 0xB463, offset: 0xB463, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x57A8, symBinAddr: 0x1E04, symSize: 0x29C }
  - { offsetInCU: 0xB7A6, offset: 0xB7A6, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x5A44, symBinAddr: 0x20A0, symSize: 0xD0 }
  - { offsetInCU: 0xB8D4, offset: 0xB8D4, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x5B14, symBinAddr: 0x2170, symSize: 0xC }
  - { offsetInCU: 0xB996, offset: 0xB996, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x5B20, symBinAddr: 0x217C, symSize: 0x22C }
  - { offsetInCU: 0xBC8A, offset: 0xBC8A, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x8CC8, symBinAddr: 0x23A8, symSize: 0xD0 }
  - { offsetInCU: 0xBD4F, offset: 0xBD4F, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x8E68, symBinAddr: 0x2478, symSize: 0xD0 }
  - { offsetInCU: 0xBE34, offset: 0xBE34, size: 0x8, addend: 0x0, symName: _redirect, symObjAddr: 0x8F38, symBinAddr: 0x2548, symSize: 0xD8 }
  - { offsetInCU: 0xBF2A, offset: 0xBF2A, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_GetJNIFunctionTable_getjniftab002_check, symObjAddr: 0x9010, symBinAddr: 0x2620, symSize: 0x138 }
  - { offsetInCU: 0xC012, offset: 0xC012, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x9178, symBinAddr: 0x2788, symSize: 0x358 }
...
